/*
 * File         : BV_Message.h
 * Author       : Tomasz Stachowiak
 * Created      : Wed May 20 19:49:33 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_MESSAGE_H
#define __BV_MESSAGE_H

#include <BVN/Message.h>
#include <BVN/SOCK_Stream.h>

#include "BV_Msg_Header.h"


class BV_Message : public Message <BV_Msg_Header, SOCK_Stream>
{
 public:
  BV_Message(SOCK_Stream *stream);
  BV_Message(BV_Msg_Header &header);
  virtual int execute();

 private:

  SOCK_Stream *stream_;

};

#endif

